package lingtao.net.bean;

import java.util.Date;

import lombok.Data;

/**
 * 客服数据
 * 
 * @author Administrator
 *
 */
@Data
public class CustomerData {

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public String getProductExplain() {
		return productExplain;
	}

	public void setProductExplain(String productExplain) {
		this.productExplain = productExplain;
	}

	public String getWangwang() {
		return wangwang;
	}

	public void setWangwang(String wangwang) {
		this.wangwang = wangwang;
	}

	public String getIsBuy() {
		return isBuy;
	}

	public void setIsBuy(String isBuy) {
		this.isBuy = isBuy;
	}

	public String getCommentSelf() {
		return commentSelf;
	}

	public void setCommentSelf(String commentSelf) {
		this.commentSelf = commentSelf;
	}

	public String getCommentManager() {
		return commentManager;
	}

	public void setCommentManager(String commentManager) {
		this.commentManager = commentManager;
	}

	public Date getCommentDate() {
		return commentDate;
	}

	public void setCommentDate(Date commentDate) {
		this.commentDate = commentDate;
	}

	public String getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(String isDelete) {
		this.isDelete = isDelete;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public Date getCompleteDate() {
		return completeDate;
	}

	public void setCompleteDate(Date completeDate) {
		this.completeDate = completeDate;
	}

	public String getRoleSearch() {
		return roleSearch;
	}

	public void setRoleSearch(String roleSearch) {
		this.roleSearch = roleSearch;
	}

	public String[] getRoleArr() {
		return roleArr;
	}

	public void setRoleArr(String[] roleArr) {
		this.roleArr = roleArr;
	}

	public String getCreateDateBegin() {
		return createDateBegin;
	}

	public void setCreateDateBegin(String createDateBegin) {
		this.createDateBegin = createDateBegin;
	}

	public String getCreateDateEnd() {
		return createDateEnd;
	}

	public void setCreateDateEnd(String createDateEnd) {
		this.createDateEnd = createDateEnd;
	}

	// 主键id
	private Integer id;

	// 用户名
	private String username;

	// 真实姓名
	private String realname;

	// 所属店铺/角色
	private String role;

	// 价格
	private double price;

	// 产品说明
	private String productExplain;

	// 客人旺旺
	private String wangwang;

	// 是否购买
	private String isBuy;

	// 自评
	private String commentSelf;

	// 店长评语
	private String commentManager;

	// 店长评语时间
	private Date commentDate;

	// 是否删除 0:否 1:是
	private String isDelete;

	private String createBy;

	private Date createDate;

	private String updateBy;

	private Date updateDate;

	// 完成时间
	private Date completeDate;

	// 根据角色（部门）查找数据
	private String roleSearch;

	// 用户所拥有的部门数组
	private String[] roleArr;

	private String createDateBegin;
	
	private String createDateEnd;

}
